# class RSS::Maker::RSS10::Textinput

### Public Instance Methods

have_required_values?() click to toggle source
Calls superclass method

    # File lib/rss/maker/1.0.rb, line 422
    def have_required_values?
      super and @maker.channel.have_required_values?
    end

to_feed(rss) click to toggle source

    # File lib/rss/maker/1.0.rb, line 410
    def to_feed(rss)
      if @link
        textinput = RDF::Textinput.new(@link)
        set = setup_values(textinput)
        if set
          rss.textinput = textinput
          set_parent(textinput, rss)
          setup_other_elements(rss, textinput)
        end
      end
    end

### Private Instance Methods

required_variable_names() click to toggle source

    # File lib/rss/maker/1.0.rb, line 427
    def required_variable_names
      %w(title description name link)
    end